import 'package:flutter/material.dart';

class RecojerScreen extends StatefulWidget {
  const RecojerScreen({super.key});

  @override
  State<RecojerScreen> createState() => _parallevarScreenState();
}

class _parallevarScreenState extends State<RecojerScreen> {
  String seleccionado = "";
  final List<Map<String, dynamic>> items = [
  {
    'nombre': 'Hamburguesa de res',
    'precio': '\$ 120.00',
    'imageUrl':
        'https://cdn.pixabay.com/photo/2016/03/05/19/02/hamburger-1238246_960_720.jpg',
  },
  {
    'nombre': 'Hamburguesa de pollo',
    'precio': '\$ 100.00',
    'imageUrl':
        'https://cdn.pixabay.com/photo/2016/03/05/19/02/hamburger-1238246_960_720.jpg',
  },
  {
    'nombre': 'Hamburguesa de res',
    'precio': '\$ 120.00',
    'imageUrl':
        'https://cdn.pixabay.com/photo/2016/03/05/19/02/hamburger-1238246_960_720.jpg',
  },
  {
    'nombre': 'Hamburguesa de pollo',
    'precio': '\$ 100.00',
    'imageUrl':
        'https://cdn.pixabay.com/photo/2016/03/05/19/02/hamburger-1238246_960_720.jpg',
  },
  {
    'nombre': 'Hamburguesa de pollo',
    'precio': '\$ 100.00',
    'imageUrl':
        'https://cdn.pixabay.com/photo/2016/03/05/19/02/hamburger-1238246_960_720.jpg',
  },
 ];


  
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
         actions: const [],
        title: const Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text('Atrás'),
            Column(
              children: [
                Text(
                  'Su carrito',
                  style: TextStyle(fontSize: 17, color: Colors.black54),
                ),
                Text(
                  style: TextStyle(fontSize: 20, fontWeight: FontWeight.w800),
                  'MXN 69.00',
                )
              ],
            )
          ],
        ),
      ),
      bottomNavigationBar: BottomAppBar(
        height: 100,
        color: Colors.transparent,
        child: Padding(
          padding: const EdgeInsets.all(10),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              TextButton(
                style: TextButton.styleFrom(
                  minimumSize: const Size(350, 50),
                  backgroundColor: Colors.black,
                  foregroundColor: Colors.white,
                  shape: RoundedRectangleBorder(
                  borderRadius: BorderRadius.circular(10),
                  ),
                ),
                onPressed: (){},
                child: const Row(
                  children: [
                    Padding(
                      padding: EdgeInsets.only(left:8),
                      child: Text(
                        'Pedir (MXN 69.00)',
                        textAlign: TextAlign.center,
                        style: TextStyle(
                          fontSize: 17,
                        ),
                      ),
                    )
                  ],
                ),
              ),
              
            ],
          ),
        ),
      ),
      body:
       const Padding(
        padding:  EdgeInsets.all(8.0),
        child: Column(
          children: [
             Padding(
              padding: EdgeInsets.all(5),
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
            ),
          ],
        ),
      ),
    );
  }
}
